<mat-card>
  <mat-card-content>
<button mat-flat-button color="primary" (click)="showPostEdit()" *ngIf="!isOpen">Napsat příspěvek</button>
<div *ngIf="isOpen">
<div class="flex-container">
  <div class="flex-child">
    <div class="flex-container-small"><mat-icon class="flex-child-icon icon-display" color="black">account_circle</mat-icon><div class="flex-child header-post"><h3>{{loggedUser}}</h3></div></div>
  </div>
  <div class="filler flex-child">
  </div>

  <div class="flex-creation-date header-post">
    <div>{{Crdate | date: 'dd.MM.yyyy'}}</div>
  </div>
</div>
<div class="post-content">
  <form (submit)="createPost()" [formGroup]="form">
      <angular-editor id="postcreation" formControlName="content" [config]="postConfig"></angular-editor>
      <mat-error *ngFor="let error of getErrors(form.get('content')!,'Obsah přízpěvku')">{{error}}</mat-error>
    <div class="flex-child-buttton">
      <button mat-flat-button color="primary" type="submit">Vytvořit</button>
    </div>
  </form>
</div>
</div>
  </mat-card-content>
</mat-card>


